TabGeckoDocs
Website
Documentation / AdsPower compatibility settings · API

AdsPower compatibility settings · API

Generated from the OpenAPI snapshot. Source summaries remain unchanged; JSON schemas below are the exact exported definitions.

GET /api/v1/settings/compat

Einstellungen der AdsPower-kompatiblen Schnittstelle

Authentication: bearer token

Required route scopes: profiles:read

All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.

No path or query parameters declared.

No request body declared.

Documented responses
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "enabled",
            "port",
            "require_token",
            "rate_limit",
            "legacy_key_set",
            "webdriver_path",
            "running",
            "active_port"
          ],
          "properties": {
            "enabled": {
              "type": "boolean"
            },
            "port": {
              "type": "integer",
              "minimum": 1024,
              "maximum": 65535
            },
            "require_token": {
              "type": "boolean"
            },
            "rate_limit": {
              "type": "integer",
              "minimum": 0,
              "maximum": 100
            },
            "legacy_key_set": {
              "type": "boolean"
            },
            "webdriver_path": {
              "type": [
                "null",
                "string"
              ]
            },
            "running": {
              "type": "boolean"
            },
            "active_port": {
              "type": [
                "null",
                "integer"
              ]
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Complete operation definition
OpenAPI JSON
{
  "summary": "Einstellungen der AdsPower-kompatiblen Schnittstelle",
  "tags": [
    "AdsPower-Kompatibilität"
  ],
  "x-required-scopes": [
    "profiles:read"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "enabled",
              "port",
              "require_token",
              "rate_limit",
              "legacy_key_set",
              "webdriver_path",
              "running",
              "active_port"
            ],
            "properties": {
              "enabled": {
                "type": "boolean"
              },
              "port": {
                "type": "integer",
                "minimum": 1024,
                "maximum": 65535
              },
              "require_token": {
                "type": "boolean"
              },
              "rate_limit": {
                "type": "integer",
                "minimum": 0,
                "maximum": 100
              },
              "legacy_key_set": {
                "type": "boolean"
              },
              "webdriver_path": {
                "type": [
                  "null",
                  "string"
                ]
              },
              "running": {
                "type": "boolean"
              },
              "active_port": {
                "type": [
                  "null",
                  "integer"
                ]
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

PUT /api/v1/settings/compat

AdsPower-kompatible Schnittstelle ein-/ausschalten und konfigurieren; legacy_key übernimmt einen vorhandenen AdsPower-API-Schlüssel (nur als Hash gespeichert)

Authentication: bearer token

Required route scopes: settings:write

All listed scopes are required; admin satisfies scope checks. Request content, vault state and resource permissions can impose additional requirements.

No path or query parameters declared.

Request body · required
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "properties": {
          "enabled": {
            "type": "boolean"
          },
          "port": {
            "type": "integer",
            "minimum": 1024,
            "maximum": 65535
          },
          "require_token": {
            "type": "boolean"
          },
          "rate_limit": {
            "type": "integer",
            "minimum": 0,
            "maximum": 100
          },
          "legacy_key": {
            "type": [
              "string",
              "null"
            ],
            "minLength": 8,
            "maxLength": 256
          },
          "webdriver_path": {
            "type": [
              "string",
              "null"
            ],
            "maxLength": 1024
          }
        },
        "additionalProperties": false
      }
    }
  }
}
Documented responses
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "enabled",
            "port",
            "require_token",
            "rate_limit",
            "legacy_key_set",
            "webdriver_path",
            "running",
            "active_port"
          ],
          "properties": {
            "enabled": {
              "type": "boolean"
            },
            "port": {
              "type": "integer",
              "minimum": 1024,
              "maximum": 65535
            },
            "require_token": {
              "type": "boolean"
            },
            "rate_limit": {
              "type": "integer",
              "minimum": 0,
              "maximum": 100
            },
            "legacy_key_set": {
              "type": "boolean"
            },
            "webdriver_path": {
              "type": [
                "null",
                "string"
              ]
            },
            "running": {
              "type": "boolean"
            },
            "active_port": {
              "type": [
                "null",
                "integer"
              ]
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Complete operation definition
OpenAPI JSON
{
  "summary": "AdsPower-kompatible Schnittstelle ein-/ausschalten und konfigurieren; legacy_key übernimmt einen vorhandenen AdsPower-API-Schlüssel (nur als Hash gespeichert)",
  "tags": [
    "AdsPower-Kompatibilität"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "enabled": {
              "type": "boolean"
            },
            "port": {
              "type": "integer",
              "minimum": 1024,
              "maximum": 65535
            },
            "require_token": {
              "type": "boolean"
            },
            "rate_limit": {
              "type": "integer",
              "minimum": 0,
              "maximum": 100
            },
            "legacy_key": {
              "type": [
                "string",
                "null"
              ],
              "minLength": 8,
              "maxLength": 256
            },
            "webdriver_path": {
              "type": [
                "string",
                "null"
              ],
              "maxLength": 1024
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "x-required-scopes": [
    "settings:write"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "enabled",
              "port",
              "require_token",
              "rate_limit",
              "legacy_key_set",
              "webdriver_path",
              "running",
              "active_port"
            ],
            "properties": {
              "enabled": {
                "type": "boolean"
              },
              "port": {
                "type": "integer",
                "minimum": 1024,
                "maximum": 65535
              },
              "require_token": {
                "type": "boolean"
              },
              "rate_limit": {
                "type": "integer",
                "minimum": 0,
                "maximum": 100
              },
              "legacy_key_set": {
                "type": "boolean"
              },
              "webdriver_path": {
                "type": [
                  "null",
                  "string"
                ]
              },
              "running": {
                "type": "boolean"
              },
              "active_port": {
                "type": [
                  "null",
                  "integer"
                ]
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

Native API reference